# 🐘 Welcome Bot pro Mastodon

Tento bot slouží k automatickému zasílání uvítacích zpráv novým uživatelům na Mastodon instanci.

## Požadavky

- Python 3.12
- Knihovny: Mastodon.py, python-dotenv

## Instalace

1. Naklonujte repozitář:

 ```bash
  git clone https://your-repo-url.git
  cd welcome_bot
```
2. Vytvořte virtuální prostředí a aktivujte ho:

```bash
python3 -m venv venv
source venv/bin/activate
```

3. Nainstalujte potřebné balíčky:

```bash
pip install -r requirements.txt
```

Vytvořte konfigurační soubory:
- config.toml:

```bash
[mastodon]
base_url = "url_instance_mastodon"
client_id = "client_id.secret"
secret_storage = "secret_storage.secret"
credential_storage = "credential_storage.secret"

[database]
sqlite_path = "welcome_bot.db"

[[messages]]
content = "Vítej na naší instanci Mastodon!"
content_warning = "Upozornění"

[[messages]]
content = "Jsme rádi, že jsi tady!"

[[messages]]
content = "Doufáme, že si užiješ pobyt na naší platformě!"
```

- `client_id.secret:` Vložte svůj client ID.

- `secret_storage.secret`: Vložte svůj client secret.

- `credential_storage.secret:` Vložte svůj access token.

## Použití

1. Ujistěte se, že je aktivováno vaše virtuální prostředí:

```bash
source venv/bin/activate
```

2. Spusťte bota:

```bash
python3 welcome_bot.py
```

2. stěte se, že je aktivováno vaše virtuální prostředí:

```bash
source venv/bin/activate
```
Spusťte bota:

```bash
python3 welcome_bot.py
```
Příspěvky

Příspěvky jsou vítány! Pro více informací viz [CONTRIBUTING.md](CONTRIBUTING.md) 

### Licence

Tento projekt je licencován pod MIT licencí - viz LICENSE soubor pro detaily.
Acknowledgements

Tento projekt je založen na [isosphere/mastodon-welcome](https://github.com/isosphere/mastodon-welcome) projektu. Děkujeme autorům za jejich skvělou práci.
